<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.MoveMultiple Method (UInt32, Int32)
BTreeCursor Class See Also

Position the cursor at a specific key/data pair in the database, and store the key/data pair and as many duplicate data items that can fit in a buffer the size of one database page in CurrentMultiple.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MoveMultiple(
    	uint recno,
    	int BufferSize
    )

Visual Basic (Declaration)

    Public Function MoveMultiple ( _
    	recno As UInteger, _
    	BufferSize As Integer _
    ) As Boolean

Visual C++

    public:
    bool MoveMultiple(
    	unsigned int recno,
    	int BufferSize
    )

#### Parameters

recno
  Type: System..::.UInt32
  The specific numbered record of the database at which to position the cursor.

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with duplicate data items. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

BTreeCursor Class
MoveMultiple Overload
BerkeleyDB Namespace